petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetLocalSize

Returns the number of rows and columns in a matrix stored locally. This information may be implementation dependent, so use with care.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetLocalSize(Mat mat,PetscInt *m,PetscInt *n)

Not Collective

### Input Parameters

mat -the matrix

### Output Parameters

| m | - the number of local rows
| n | - the number of local columns

Note: both output parameters can be NULL on input.

### See Also

MatGetSize()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex12.c.html